From: Arnaud Rebillout <arnaudr@kali.org>
Date: Fri, 13 Sep 2024 11:22:34 +0700
Subject: Fix FTBFS uint8_t was not declared in this scope
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Fix FTBFS:

```
In file included from /<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/src/detail/ripemd_160.cpp:43:
/<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp:52:23: error: ‘uint8_t’ was not declared in this scope
   52 | ripemd_160(std::array<uint8_t, 20>& storage, const std::string& data);
      |                       ^~~~~~~
/<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp:47:1: note: ‘uint8_t’ is defined in header ‘<cstdint>’; this is probably fixable by adding ‘#include <cstdint>’
   46 | #include "caf/detail/core_export.hpp"
  +++ |+#include <cstdint>
   47 |
/<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp:52:34: error: template argument 1 is invalid
   52 | ripemd_160(std::array<uint8_t, 20>& storage, const std::string& data);
      |                                  ^
/<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/src/detail/ripemd_160.cpp:51:15: error: ‘uint32_t’ does not name a type
   51 | using dword = uint32_t;
      |               ^~~~~~~~
/<<PKGBUILDDIR>>/auxil/broker/caf/libcaf_core/src/detail/ripemd_160.cpp:45:1: note: ‘uint32_t’ is defined in header ‘<cstdint>’; this is probably fixable by adding ‘#include <cstdint>’
   44 | #include <cstring>
  +++ |+#include <cstdint>
```
---
 auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp b/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp
index ea9f44c..149cfeb 100644
--- a/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp
+++ b/auxil/broker/caf/libcaf_core/caf/detail/ripemd_160.hpp
@@ -41,6 +41,7 @@
 #pragma once
 
 #include <array>
+#include <cstdint>
 #include <string>
 
 #include "caf/detail/core_export.hpp"
